Skip to main content
GET
List logs across your programs

Authorizations

Authorization
string
header
required

Effective API key. Send Authorization: Bearer sk-eai-...

Query Parameters

recordType
string

Only logs about a record of this type. Send with recordId.

Pattern: ^[a-z][a-z0-9_]{0,63}$
recordId
string

Only logs about the record with this id. Send with recordType.

Required string length: 1 - 200
programs
string

Only logs on these programs: their ids, comma-separated, at most 50.

Maximum string length: 2000
Pattern: ^[a-z0-9][a-z0-9._-]*(,[a-z0-9][a-z0-9._-]*)*$
stage
enum<string>

Only logs at this stage at their head.

Available options:
Open,
Ineligible,
Declined,
Quotable,
Bound,
Closed
waitingOn
string

Only logs waiting on one of these roles at their head, comma-separated, such as ops_lead,founder.

Maximum string length: 1000
Pattern: ^[a-z_][a-z0-9_]{0,63}(,[a-z_][a-z0-9_]{0,63})*$
limit
integer
default:50

Most logs to return, 1–200. Defaults to 50.

Required range: 1 <= x <= 200
cursor
string

Opaque nextCursor from this operation. Repeat every other query parameter unchanged; a cursor from a different query returns invalid_cursor.

Required string length: 1 - 8192

Response

One page of the logs.

logs
object[]
required
nextCursor
string | null
required

Cursor for the next page, or null on the last page.